<template>
  <list-item class="group-parent">
    <div class="group">
      <h3 title="Imię i nazwisko">{{ name }} {{ surname }}</h3>
      <span
        ><tooltip>Adres email</tooltip><font-awesome-icon :icon="icons.faAt" />
        {{ email }}</span
      >
      <span
        ><tooltip>Uprawnienia</tooltip
        ><font-awesome-icon :icon="icons.faKey" /> {{ perm }}</span
      >
    </div>
    <div class="group">
      <router-link class="link" :to="'/osoby/' + id"
        >Zobacz szczegóły</router-link
      >
    </div>
  </list-item>
</template>

<script lang="ts">
import { Options, Vue } from "vue-class-component";

import ListItem from "@/components/list/ListItem.vue";

import { FontAwesomeIcon } from "@fortawesome/vue-fontawesome";
import { faAt, faKey } from "@fortawesome/free-solid-svg-icons";

import { UserData } from "@/interfaces";
import Tooltip from "@/components/utilities/Tooltip.vue";

@Options({
  props: {
    id: Number,
    name: String,
    surname: String,
    email: String,
    perm: String,
  },
  components: {
    ListItem,
    FontAwesomeIcon,
    Tooltip,
  },
})
export default class UserListItem extends Vue implements UserData {
  public id!: number;
  public name!: string;
  public surname!: string;
  public email!: string;
  public perm!: string;

  public icons = {
    faAt,
    faKey,
  };
}
</script>

<style scoped lang="scss">
@import "@/styles/globals";

@include bit-smaller-icon;

.group-parent {
  display: grid;
  grid-template-columns: 1fr auto;
  grid-template-rows: 1fr;

  .group {
    align-self: center;
  }

  h3,
  span {
    position: relative;
    display: block;
    padding: 0px;
    margin: 0px;
    text-align: left;

    color: $black_text;
  }

  h3 {
    font-size: 14px;
    font-weight: bold;
  }

  .link {
    text-decoration: none;
    color: $dark_blue;
    cursor: pointer;
    font-size: 16px;
    font-weight: bold;
  }

  span {
    font-size: 14px;
  }
}
</style>
